using System;
using Microsoft.CSharp.RuntimeBinder;

internal sealed class Delegate297 : MulticastDelegate
{
	public extern CSharpArgumentInfo Invoke(CSharpArgumentInfoFlags csharpArgumentInfoFlags_0, string string_0);

	public static CSharpArgumentInfo smethod_0(CSharpArgumentInfoFlags csharpArgumentInfoFlags_0, string string_0, Delegate297 delegate297_1)
	{
		return delegate297_1(csharpArgumentInfoFlags_0, string_0);
	}

	public extern Delegate297(object object_0, IntPtr intptr_0);

	static Delegate297()
	{
		Class10.smethod_13(typeof(Delegate297).TypeHandle);
	}

	internal static Delegate297 delegate297_0;
}
